Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » RCP Testing Tool » Could not validate integrity of the runner(2.3.0-SNAPSHOT)
Could not validate integrity of the runner [message #1772634] Wed, 13 September 2017 11:03 Go to next message
Elena Grigore is currently offline Elena GrigoreFriend
Messages: 2
Registered: September 2017
Junior Member
Hi,

I am using the RCPTT runner and since version 2.2.0-SNAPSHOT is not working anymore (it is not in the repository and maven reports it can't find it) I started using version 2.3.0-SNAPSHOT. But this always returns the below warning and because of that it is always downloaded and it takes very long time:


[WARNING] Could not validate integrity of download from https://repo.eclipse.org/content/repositories/rcptt-snapshots/org/eclipse/rcptt/runner/rcptt.runner/2.3.0-SNAPSHOT/: Checksum validation failed, no checksums available
[WARNING] Checksum validation failed, no checksums available for https://repo.eclipse.org/content/repositories/rcptt-snapshots/org/eclipse/rcptt/runner/rcptt.runner/2.3.0-SNAPSHOT/
Downloaded: https://repo.eclipse.org/content/repositories/rcptt-snapshots/org/eclipse/rcptt/runner/rcptt.runner/2.3.0-SNAPSHOT/ (67 kB at 32 kB/s)
[INFO] Resolving artifact org.eclipse.rcptt.runner:rcptt.runner:zip:2.3.0-SNAPSHOT, this may take a while ...
Downloading: https://repo.eclipse.org/content/repositories/rcptt-snapshots/org/eclipse/rcptt/runner/rcptt.runner/2.3.0-SNAPSHOT/maven-metadata.xml
Downloaded: https://repo.eclipse.org/content/repositories/rcptt-snapshots/org/eclipse/rcptt/runner/rcptt.runner/2.3.0-SNAPSHOT/maven-metadata.xml (789 B at 1.1 kB/s)
Downloading: https://repo.eclipse.org/content/repositories/rcptt-snapshots/org/eclipse/rcptt/runner/rcptt.runner/2.3.0-SNAPSHOT/rcptt.runner-2.3.0-20170912.233445-79.zip
Progress (1): 0.9/153 MB
Re: Could not validate integrity of the runner [message #1772707 is a reply to message #1772634] Thu, 14 September 2017 08:26 Go to previous messageGo to next message
Andrey Sobolev is currently offline Andrey SobolevFriend
Messages: 74
Registered: February 2015
Member
Hi could you try to use "2.2.0" since it was released with oxygen snapshot builds are cleaned up.

We will check why checksums are not available for 2.3.0-snapshot.

Best regards,
Andrey.
Re: Could not validate integrity of the runner [message #1772708 is a reply to message #1772634] Thu, 14 September 2017 08:30 Go to previous messageGo to next message
Viktoria Dlugopolskaya is currently offline Viktoria DlugopolskayaFriend
Messages: 109
Registered: March 2017
Senior Member
Hi Elena,

Try to use stable 2.2.0 version from release repository:
<pluginRepository>
<id>rcptt-releases</id>
<name>RCPTT Maven repository</name>
<url>https://repo.eclipse.org/content/repositories/rcptt-releases/</url>
</pluginRepository>

More info: https://www.eclipse.org/rcptt/documentation/userguide/maven/

Regards,
Viktoria
Re: Could not validate integrity of the runner [message #1772711 is a reply to message #1772708] Thu, 14 September 2017 08:45 Go to previous messageGo to next message
Elena Grigore is currently offline Elena GrigoreFriend
Messages: 2
Registered: September 2017
Junior Member
Hi,

2.2.0 is not working anymore (I noticed that when I tried to port the tests to a new desktop which didn't had in the .m2 folder already downloaded the 2.2.0 ). What I want to say is that for a configuration like this:
<plugins>
<plugin>
<groupId>org.eclipse.rcptt</groupId>
<artifactId>rcptt-maven-plugin</artifactId>
<version>2.2.0-SNAPSHOT</version>
<extensions>true</extensions>
<configuration>
<aut>
<explicit>my-path-to-ide</explicit>
<vm>my-path-to-jre</vm>
</aut>
</configuration>
</plugin>
</plugins>
<runner>
<version>2.2.0-SNAPSHOT</version>
</runner>
<! -- my test configurations......-->
<pluginRepositories>
<pluginRepository>
<id>rcptt-snapshots</id>
<name>RCPTT Maven Snapshots repository</name>
<snapshots>
<updatePolicy>always</updatePolicy>
</snapshots>
<url>https://repo.eclipse.org/content/repositories/rcptt-snapshots/</url>
</pluginRepository>
<pluginRepository>
<id>rcptt-releases</id>
<name>RCPTT Maven repository</name>
<url>https://repo.eclipse.org/content/repositories/rcptt-releases/</url>
</pluginRepository>
</pluginRepositories>

it will trigger the following error:
[ERROR] [ERROR] Some problems were encountered while processing the POMs:
[ERROR] Unresolveable build extension: Plugin org.eclipse.rcptt:rcptt-maven-plug
in:2.2.0-SNAPSHOT or one of its dependencies could not be resolved: Could not fi
nd artifact org.eclipse.rcptt:rcptt-maven-plugin:jar:2.2.0-SNAPSHOT in rcptt-sna
pshots (https://repo.eclipse.org/content/repositories/rcptt-snapshots/) @


And you can see in here: https://repo.eclipse.org/content/repositories/rcptt-snapshots/org/eclipse/rcptt/runner/rcptt.runner/ that 2.2.0-SNAPSHOT is not there
Re: Could not validate integrity of the runner [message #1774251 is a reply to message #1772711] Thu, 12 October 2017 08:49 Go to previous message
Viktoria Dlugopolskaya is currently offline Viktoria DlugopolskayaFriend
Messages: 109
Registered: March 2017
Senior Member
Hi Elena,

To use release version, just replace '2.2.0-SNAPSHOT' in your pom.xml with '2.2.0'
Previous Topic:"get-item -path" reqular expressions not working
Next Topic:RCPTT playback as IDE feature demonstration tool
Goto Forum:
  


Current Time: Fri Jun 22 03:51:44 GMT 2018

Powered by FUDForum. Page generated in 0.02461 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top